Please merge xournal 0.4.2.1-0.1 (universe) from Debian unstable (main)

Bug #245828 reported by David Futcher
8
Affects Status Importance Assigned to Milestone
xournal (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

Binary package hint: xournal

Please merge xournal 0.4.2.1-0.1 (universe) from Debian unstable (main)

xournal (0.4.2.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
    + Uploaded directly to unstable, as the maintainer seems inactive
      (no answer to bug reports, no answer to Philipp Kern's intent
      to NMU in #478540).
  * New upstream release (Closes: #478540).

 -- Lucas Nussbaum <email address hidden> Tue, 03 Jun 2008 11:19:48 +0200

xournal (0.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #410909, #441222, #458684)
  * Fix FTBFS if build twice in a row (Closes: #442773)
  * Removed deprecated Encoding key from desktop files
  * Added Wl,--as-needed as linking options to remove linking to unused
    libraries

 -- Mathieu Bouchard <email address hidden> Sat, 15 Sep 2007 23:18:10 -0400

Related branches

Revision history for this message
David Futcher (bobbo) wrote :

Debian -> New Ubuntu debdiff. Builds fine in an Intrepid pbuilder. Subscribing u-u-s for sponsoring.

Revision history for this message
Justin Dugger (jldugger) wrote :

What does this fix? We already have 4.2.1 in intrepid, faster than Debian did.

Revision history for this message
David Futcher (bobbo) wrote :

It fixes:

 * Fix FTBFS if build twice in a row (Closes: #442773)
 * Removed deprecated Encoding key from desktop files
 * Added Wl,--as-needed as linking options to remove linking to unused
    libraries

Also AFAIK it is better to stay as in sync with debian as possible, to keep the delta as minimal as possible.

Revision history for this message
Pauli Virtanen (pauli-virtanen) wrote :

One thing that did not work in Xournal 0.4.1-0ubuntu1 but works in 0.4.2.1 is inserting text.
In 0.4.1-0ubuntu1, the text tool always inserts text to the top left corner of the page.

Revision history for this message
Justin Dugger (jldugger) wrote :

I understand the need for upgrading xournal, but it's not clear to me that merging from Debian is a good idea for this package anymore. We also have 0.4.2.1 in hardy backports.

Revision history for this message
Cody A.W. Somerville (cody-somerville) wrote :

This looks like a merge to me and your patch on first glance doesn't look too bad either except for following line in your changelog entry under "remaining Ubuntu changes" : " - Add and install upstream .desktop file". This is incorrect as neither Ubuntu nor Debian *add* upstream's .desktop file (it is shipped in the source tarball) and Debian installs the upstream .desktop file just like us.

Please fix your debdiff and resubscribe u-u-s.

Revision history for this message
David Futcher (bobbo) wrote :

Fixed Debian->Ubuntu debdiff

Revision history for this message
Sebastien Bacher (seb128) wrote :

you don't need to describe the maintainer change in the changelog that's implicit that all ubuntu versions have those

did somebody send those changes to debian? they don't look ubuntu specific and the package could probably be synced

Revision history for this message
Justin Dugger (jldugger) wrote :

Lucas, as the last DD to touch xournal in Debian, do you have any concerns going forward with this package? Are any of the remaining Ubuntu changes unsuitable for Debian?

Revision history for this message
Lucas Nussbaum (lucas) wrote :

Hi,

Sorry Justin, I won't have time to work on this. (I'm currently very busy with work)

Revision history for this message
James Westby (james-w) wrote :

Uploaded, thank you.

James

Changed in xournal:
status: New → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xournal - 0.4.2.1-0.1ubuntu1

---------------
xournal (0.4.2.1-0.1ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes (LP: #245828):
    - Install application and mimetype icons in proper directories
    - debian/docs: Add html-doc.
    - debian/watch: Add watchfile

 -- David Futcher <email address hidden> Sat, 05 Jul 2008 16:10:05 +0100

Changed in xournal:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers